/******************************************************************************\
|*                                                                            *|
|*                          FaceCell Extractor 1.1                            *|
|*                                                                            *|
|* FccExtractorParams.h                                                       *|
|* FccExtractor parameters definition                                         *|
|*                                                                            *|
|* Copyright (C) 2006-2007 Neurotechnologija                                  *|
|*                                                                            *|
\******************************************************************************/

#ifndef FCC_EXTRACTOR_PARAMS_H_INCLUDED
#define FCC_EXTRACTOR_PARAMS_H_INCLUDED

#include "NParameters.h"

#ifdef N_CPP
extern "C"
{
#endif
// Main parameters

#define FCCEP_NAME         10 ///< Static, Readonly, String | Returns name of the library
#define FCCEP_VERSION_HIGH 11 ///< Static, Readonly, UInt   | Returns high part of the library version
#define FCCEP_VERSION_LOW  12 ///< Static, Readonly, UInt   | Returns low part of the library version
#define FCCEP_COPYRIGHT    13 ///< Static, Readonly, String | Returns copyright of the library

#define FCCEP_MIN_IOD                    10101 ///< Int | [10..250] Minimum inter-ocular distance
#define FCCEP_MAX_IOD                    10102 ///< Int | [10..250] Maximum inter-ocular distance
#define FCCEP_FACE_CONFIDENCE_THRESHOLD  10103 ///< Double | [0..1000] Face confidence threshold

#define FCCEP_FACE_QUALITY_THRESHOLD  10350 ///< Byte | [0..255] Higher values mean higher restrictions to face image

#define FCCEP_GENERALIZATION_THRESHOLD  10501 ///< Double | [0..1] Generalization threshold

#ifdef N_CPP
}
#endif

#endif // !FCC_EXTRACTOR_PARAMS_H_INCLUDED
